# Save old config files:
if [ ! -L etc/X11/tdm ]; then
  if [ -d etc/X11/tdm ]; then
  mkdir -p ./etc/tde/tdm
  cp -a etc/X11/tdm/* ./etc/tde/tdm
  rm -rf etc/X11/tdm
  ( cd etc/X11 ; ln -sf ../../etc/tde/tdm tdm )
    elif [ ! -e etc/X11/tdm ]; then
    mkdir -p etc/X11
    ( cd etc/X11 ; ln -sf ../../etc/tde/tdm tdm )
  fi
fi

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config ./etc/tde/tdm/tdmrc.new
config ./etc/tde/tdm/backgroundrc.new

# update PATH
# upgradepkg runs installpkg twice, so even though /usr/bin might be
# a new PATH, it needs to be tested for the second run
if ! grep /usr/bin /etc/profile
then
echo "PATH=/usr/bin:\$PATH" >> /etc/profile
fi
if ! grep /usr/bin /etc/profile
then
echo "PATH=/usr/bin:\$PATH" >> /etc/profile
fi

# update MANPATH
if ! grep /usr/man /etc/profile
then
echo "export MANPATH=\$MANPATH:/usr/man" >> /etc/profile
fi

## you may not want to do this ##
# start a 'konsole' with system-wide profile
[[ ! $(grep -x "source /etc/profile" $HOME/.bashrc ) ]] && echo "source /etc/profile" >> $HOME/.bashrc || true
# don't want this
sed -i 's|source /etc/profile.d/mc.sh|#source /etc/profile.d/mc.sh|' $HOME/.bashrc || true

# upgradepkg runs installpkg twice, so firstly remove any previous TDE*HOME entries
sed -i '/TDE.*HOME/d' /etc/profile
echo 'export TDEHOME=~/.tde' >> /etc/profile
echo 'export TDEROOTHOME=/root/.tde' >> /etc/profile

## login manager TDM selected
cp etc/rc.d/rc.4.local.tdm etc/rc.d/rc.4.local


# Update the desktop database:
/usr/bin/update-desktop-database ./usr/share/applications

# Update hicolor theme cache:
/usr/bin/gtk-update-icon-cache -f -t ./usr/share/icons/hicolor

# Update the mime database:
/usr/bin/update-mime-database -Vn usr/share/mime

( cd etc/X11/xinit ; rm -rf xinitrc )
( cd etc/X11/xinit ; ln -sf xinitrc.tde xinitrc )
( cd usr/lib64 ; rm -rf libkasbar.so )
( cd usr/lib64 ; ln -sf libkasbar.so.1 libkasbar.so )
( cd usr/lib64 ; rm -rf libkasbar.so.1 )
( cd usr/lib64 ; ln -sf libkasbar.so.1.0.0 libkasbar.so.1 )
( cd usr/lib64 ; rm -rf libkateinterfaces.so )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.0 libkateinterfaces.so )
( cd usr/lib64 ; rm -rf libkateinterfaces.so.0 )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.0.0.0 libkateinterfaces.so.0 )
( cd usr/lib64 ; rm -rf libkateutils.so )
( cd usr/lib64 ; ln -sf libkateutils.so.0 libkateutils.so )
( cd usr/lib64 ; rm -rf libkateutils.so.0 )
( cd usr/lib64 ; ln -sf libkateutils.so.0.0.0 libkateutils.so.0 )
( cd usr/lib64 ; rm -rf libkhotkeys_shared.so )
( cd usr/lib64 ; ln -sf libkhotkeys_shared.so.1 libkhotkeys_shared.so )
( cd usr/lib64 ; rm -rf libkhotkeys_shared.so.1 )
( cd usr/lib64 ; ln -sf libkhotkeys_shared.so.1.0.0 libkhotkeys_shared.so.1 )
( cd usr/lib64 ; rm -rf libkickermain.so )
( cd usr/lib64 ; ln -sf libkickermain.so.1 libkickermain.so )
( cd usr/lib64 ; rm -rf libkickermain.so.1 )
( cd usr/lib64 ; ln -sf libkickermain.so.1.0.0 libkickermain.so.1 )
( cd usr/lib64 ; rm -rf libkickoffsearch_interfaces.so )
( cd usr/lib64 ; ln -sf libkickoffsearch_interfaces.so.0 libkickoffsearch_interfaces.so )
( cd usr/lib64 ; rm -rf libkickoffsearch_interfaces.so.0 )
( cd usr/lib64 ; ln -sf libkickoffsearch_interfaces.so.0.0.0 libkickoffsearch_interfaces.so.0 )
( cd usr/lib64 ; rm -rf libkonq.so )
( cd usr/lib64 ; ln -sf libkonq.so.4 libkonq.so )
( cd usr/lib64 ; rm -rf libkonq.so.4 )
( cd usr/lib64 ; ln -sf libkonq.so.4.2.0 libkonq.so.4 )
( cd usr/lib64 ; rm -rf libkonqsidebarplugin.so )
( cd usr/lib64 ; ln -sf libkonqsidebarplugin.so.1 libkonqsidebarplugin.so )
( cd usr/lib64 ; rm -rf libkonqsidebarplugin.so.1 )
( cd usr/lib64 ; ln -sf libkonqsidebarplugin.so.1.2.0 libkonqsidebarplugin.so.1 )
( cd usr/lib64 ; rm -rf libksgrd.so )
( cd usr/lib64 ; ln -sf libksgrd.so.1 libksgrd.so )
( cd usr/lib64 ; rm -rf libksgrd.so.1 )
( cd usr/lib64 ; ln -sf libksgrd.so.1.2.0 libksgrd.so.1 )
( cd usr/lib64 ; rm -rf libksplashthemes.so )
( cd usr/lib64 ; ln -sf libksplashthemes.so.0 libksplashthemes.so )
( cd usr/lib64 ; rm -rf libksplashthemes.so.0 )
( cd usr/lib64 ; ln -sf libksplashthemes.so.0.0.0 libksplashthemes.so.0 )
( cd usr/lib64 ; rm -rf libtaskbar.so )
( cd usr/lib64 ; ln -sf libtaskbar.so.1 libtaskbar.so )
( cd usr/lib64 ; rm -rf libtaskbar.so.1 )
( cd usr/lib64 ; ln -sf libtaskbar.so.1.2.0 libtaskbar.so.1 )
( cd usr/lib64 ; rm -rf libtaskmanager.so )
( cd usr/lib64 ; ln -sf libtaskmanager.so.1 libtaskmanager.so )
( cd usr/lib64 ; rm -rf libtaskmanager.so.1 )
( cd usr/lib64 ; ln -sf libtaskmanager.so.1.0.0 libtaskmanager.so.1 )
( cd usr/lib64 ; rm -rf libtdecorations.so )
( cd usr/lib64 ; ln -sf libtdecorations.so.1 libtdecorations.so )
( cd usr/lib64 ; rm -rf libtdecorations.so.1 )
( cd usr/lib64 ; ln -sf libtdecorations.so.1.0.0 libtdecorations.so.1 )
( cd usr/lib64 ; rm -rf libtdefontinst.so )
( cd usr/lib64 ; ln -sf libtdefontinst.so.0 libtdefontinst.so )
( cd usr/lib64 ; rm -rf libtdefontinst.so.0 )
( cd usr/lib64 ; ln -sf libtdefontinst.so.0.0.0 libtdefontinst.so.0 )
( cd usr/lib64/tqt/plugins/integration ; rm -rf libqtkde.so )
( cd usr/lib64/tqt/plugins/integration ; ln -sf libqtkde.so.0 libqtkde.so )
( cd usr/lib64/tqt/plugins/integration ; rm -rf libqtkde.so.0 )
( cd usr/lib64/tqt/plugins/integration ; ln -sf libqtkde.so.0.0.0 libqtkde.so.0 )
( cd usr/share/config ; rm -rf tdm )
( cd usr/share/config ; ln -sf /etc/tde/tdm tdm )
( cd usr/share/doc/tde/HTML/en/kate ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kate ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/arts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/arts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/background ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/background ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/bell ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/bell ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cache ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cache ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cdinfo ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cdinfo ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/clock ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/clock ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/colors ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/colors ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/componentchooser ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/componentchooser ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cookies ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/cookies ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/crypto ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/crypto ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktop ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktop ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktopbehavior ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/desktopbehavior ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/devices ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/devices ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/display ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/display ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/displayconfig ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/displayconfig ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/dma ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/dma ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/dnssd ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/dnssd ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ebrowsing ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ebrowsing ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/energy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/energy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filemanager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filemanager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filetypes ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/filetypes ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/fonts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/fonts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/hwmanager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/hwmanager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/iccconfig ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/iccconfig ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/icons ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/icons ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/interrupts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/interrupts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ioports ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/ioports ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/joystick ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/joystick ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmaccess ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmaccess ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcgi ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcgi ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcss ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmcss ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmfontinst ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmfontinst ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmhistory ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmhistory ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkded ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkded ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkonsole ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmkonsole ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmlaunch ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmlaunch ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmnotify ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmnotify ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmsmserver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmsmserver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmstyle ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kcmstyle ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keyboard ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keyboard ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keys ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/keys ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/khotkeys ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/khotkeys ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kthememanager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/kthememanager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/language ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/language ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/media ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/media ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/memory ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/memory ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/mouse ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/mouse ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/netpref ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/netpref ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/nics ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/nics ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/opengl ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/opengl ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/partitions ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/partitions ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/paths ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/paths ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/pci ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/pci ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/pcmcia ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/pcmcia ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/performance ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/performance ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/privacy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/privacy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/processor ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/processor ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/proxy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/proxy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/samba ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/samba ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/screensaver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/screensaver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/scsi ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/scsi ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/smb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/smb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/sound ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/sound ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/spellchecking ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/spellchecking ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tdehtml ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tdehtml ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tderesources ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/tderesources ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/twindecoration ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/twindecoration ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/usb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/usb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useraccount ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useraccount ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useragent ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/useragent ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/view1394 ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/view1394 ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowbehavior ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowbehavior ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowmanagement ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/windowmanagement ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kcontrol/xserver ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kcontrol/xserver ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kdcop ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kdcop ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/keditbookmarks ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/keditbookmarks ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kfind ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kfind ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/adminguide ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/adminguide ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/faq ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/faq ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/glossary ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/glossary ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/helpnotfound ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/helpnotfound ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/quickstart ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/quickstart ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/releasenotes ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/releasenotes ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/userguide ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/userguide ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/visualdict ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/khelpcenter/visualdict ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kicker ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kicker ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kjobviewer ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kjobviewer ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/klipper ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/klipper ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kmenuedit ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kmenuedit ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/knetattach ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/knetattach ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kompmgr ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kompmgr ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/konqueror ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/konqueror ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/konsole ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/konsole ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kpager ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kpager ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/ksplashml ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/ksplashml ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/ksysguard ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/ksysguard ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kwrite ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kwrite ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/kxkb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/kxkb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdedebugdialog ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdedebugdialog ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdefontview ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdefontview ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/about ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/about ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/applications ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/applications ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ar ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ar ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/bzip ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/bzip ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/bzip2 ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/bzip2 ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/cgi ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/cgi ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/data ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/data ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/file ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/file ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/finger ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/finger ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/fish ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/fish ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/floppy ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/floppy ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/fonts ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/fonts ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ftp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ftp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ghelp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ghelp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/gzip ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/gzip ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/help ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/help ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/home ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/home ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/http ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/http ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/imap ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/imap ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/info ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/info ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/iso ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/iso ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/lan ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/lan ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ldap ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ldap ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mac ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mac ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mailto ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mailto ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/man ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/man ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/media ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/media ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/metainfo ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/metainfo ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mms ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mms ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mrml ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/mrml ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/news ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/news ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nfs ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nfs ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nntp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nntp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nxfish ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/nxfish ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/pnm ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/pnm ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/pop3 ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/pop3 ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/print ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/print ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/printdb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/printdb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/programs ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/programs ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/remote ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/remote ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rlan ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rlan ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rlogin ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rlogin ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rtsp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/rtsp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/settings ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/settings ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/sftp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/sftp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/smb ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/smb ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/smtp ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/smtp ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ssh ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/ssh ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/system ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/system ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/tar ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/tar ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/telnet ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/telnet ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/thumbnail ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/thumbnail ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/trash ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/trash ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/webdav ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/webdav ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/xz ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/xz ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/zeroconf ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/zeroconf ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/zip ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeioslave/zip ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdepasswd ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdepasswd ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeprint ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeprint ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdeprintfax ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdeprintfax ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tderandrtray ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tderandrtray ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdesu ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdesu ; ln -sf /usr/share/doc/tde/HTML/en/common common )
( cd usr/share/doc/tde/HTML/en/tdm ; rm -rf common )
( cd usr/share/doc/tde/HTML/en/tdm ; ln -sf /usr/share/doc/tde/HTML/en/common common )
